[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH] build: Ignore old audit library



Check for audit_encode_nv_string in libaudit so that ancient audit
library is ignored rather than trying to compile with libaudit support
and failing.
---
 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/configure.ac b/configure.ac
index 190bf40..25cc15b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1026,7 +1026,7 @@ if test "$with_audit" != "no" ; then
   LIBS="$LIBS $AUDIT_LIBS"
   fail=0
   AC_CHECK_HEADER([libaudit.h], [], [fail=1])
-  AC_CHECK_LIB([audit], [audit_is_enabled], [], [fail=1])
+  AC_CHECK_LIB([audit], [audit_encode_nv_string], [], [fail=1])
 
   if test $fail = 1 ; then
     if test "$with_audit" = "yes" ; then
-- 
1.7.5.rc1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]